> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.core/general/wisej.core.wisejserializer.md).

# WisejSerializer

Namespace: **Wisej.Core**

Assembly: **Wisej.Framework** (4.0.0.0)

Wisej super performant JSON serializer. This is a high performant and low memory footprint JSON serializer/deserializer. It has been optimized to work with Wisej DynamicObject and to streamline serialization/deserialization. It appears to be the fastest JSON serializer/deserializer using the least memory.

{% tabs %}
{% tab title="C#" %}

```csharp
public class WisejSerializer
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class WisejSerializer
```

{% endtab %}
{% endtabs %}

## Methods

### ![](/files/lIX317sDtMTZJBi9oSIx) Parse(json)

Deserializes a JSON string to a System.Wisej.Core.DynamicObject.

| Parameter | Type                                                          | Description             |
| --------- | ------------------------------------------------------------- | ----------------------- |
| **json**  | [String](https://docs.microsoft.com/dotnet/api/system.string) | The JSON source string. |

**Returns:** [Object](https://docs.microsoft.com/dotnet/api/system.object). A [DynamicObject](/api/wisej.core/general/wisej.core.dynamicobject.md) representing the JSON data.

### ![](/files/lIX317sDtMTZJBi9oSIx) Parse(stream)

Deserializes a JSON stream to a System.Wisej.Core.DynamicObject.

| Parameter  | Type                                                             | Description             |
| ---------- | ---------------------------------------------------------------- | ----------------------- |
| **stream** | [Stream](https://docs.microsoft.com/dotnet/api/system.io.stream) | The JSON source stream. |

**Returns:** [Object](https://docs.microsoft.com/dotnet/api/system.object). A [DynamicObject](/api/wisej.core/general/wisej.core.dynamicobject.md) representing the JSON data.

### ![](/files/lIX317sDtMTZJBi9oSIx) Serialize(value, options)

Serializes an object to standard JSON.

| Parameter                                    | Type                                                                                   | Description                 |
| -------------------------------------------- | -------------------------------------------------------------------------------------- | --------------------------- |
| **value**                                    | [Object](https://docs.microsoft.com/dotnet/api/system.object)                          | Value to serialize to JSON. |
| **options** ![](/files/1vGqtbG2j637vQ4ROWOf) | [WisejSerializerOptions](/api/wisej.core/general/wisej.core.wisejserializeroptions.md) | Serializer options.         |

**Returns:** [String](https://docs.microsoft.com/dotnet/api/system.string). The JSON representation of *value* .


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.core/general/wisej.core.wisejserializer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
